Puppy Linux Discussion Forum Forum Index Puppy Linux Discussion Forum
Puppy HOME page : puppylinux.com
"THE" alternative forum : puppylinux.info
 
 FAQFAQ   SearchSearch   MemberlistMemberlist   UsergroupsUsergroups   RegisterRegister 
 ProfileProfile   Log in to check your private messagesLog in to check your private messages   Log inLog in 

The time now is Sun 21 Sep 2014, 12:25
All times are UTC - 4
 Forum index » Advanced Topics » Additional Software (PETs, n' stuff) » Browsers and Internet
Pidgin 2.7.1 dpup build
Post_new_topic   Reply_to_topic View_previous_topic :: View_next_topic
Page 1 of 1 Posts_count  
Author Message
dejan555


Joined: 30 Nov 2008
Posts: 2648
Location: Montenegro

PostPosted: Thu 15 Jul 2010, 14:57    Post_subject:  Pidgin 2.7.1 dpup build
Sub_title: Voice and Video disabled
 

Hi, I compiled pidgin 2.7.1 for dpup and posted here:
http://murga-linux.com/puppy/viewtopic.php?p=434516#434516

Works on lupu too with few libxcb dependencies missing, I will attach pet here that fixes that.

I only tested for IRC and MSN so please post if other protocols work or not.
EDIT: Also works for Yahoo and on latest quirky doesn't need libxcb deps.
pidgin-libxcb-deps.pet
Description 
pet

 Download 
Filename  pidgin-libxcb-deps.pet 
Filesize  15.25 KB 
Downloaded  606 Time(s) 

_________________


Back to top
View user's profile Send_private_message Visit_website MSNM 
noalternative

Joined: 10 Nov 2009
Posts: 43

PostPosted: Fri 16 Jul 2010, 19:45    Post_subject:  

The pet installed but wouldn't start because of dependencies. I tried to install the dependencies pet but it wouldn't finish installing even though I let it try all night. It did show up in the pet packages though but would not uninstall. Even though it shows up the pidgin pet still won't install.

Also thanks for working on this. What version of puppy did you create it on? This is important because while puppy is backwards compatible it generally not forwards compatible. I use 4.2 v2 deeper thought.
Back to top
View user's profile Send_private_message Visit_website AIM YIM MSNM 
dejan555


Joined: 30 Nov 2008
Posts: 2648
Location: Montenegro

PostPosted: Sat 17 Jul 2010, 01:04    Post_subject:  

It says in the title, it's compiled on dpup.
If dependency pet doesn't work then install dependencies from package manager you need 3 xcb libs: libxcb-aux, libxcb-event and libxcb-atom.

They can also be found in ubuntu's web repo:

http://packages.ubuntu.com/lucid/i386/libxcb-atom1/download
http://packages.ubuntu.com/lucid/i386/libxcb-aux0/download
http://packages.ubuntu.com/lucid/i386/libxcb-event1/download

I just repackaged them into pet.
Don't see why it wouldn't install though...

_________________


Back to top
View user's profile Send_private_message Visit_website MSNM 
noalternative

Joined: 10 Nov 2009
Posts: 43

PostPosted: Sun 18 Jul 2010, 09:19    Post_subject:  

I installed them. There are tons more I have to install. My version of puppy is just too old. Sorry!
Back to top
View user's profile Send_private_message Visit_website AIM YIM MSNM 
noalternative

Joined: 10 Nov 2009
Posts: 43

PostPosted: Sun 18 Jul 2010, 09:19    Post_subject:  

I installed them. There are tons more I have to install. My version of puppy is just too old. Sorry!
Back to top
View user's profile Send_private_message Visit_website AIM YIM MSNM 
dejan555


Joined: 30 Nov 2008
Posts: 2648
Location: Montenegro

PostPosted: Sun 18 Jul 2010, 09:26    Post_subject:  

dpup/lupu/quirky reports, feedbacks anyone?
_________________


Back to top
View user's profile Send_private_message Visit_website MSNM 
chrismt


Joined: 21 Apr 2010
Posts: 255

PostPosted: Mon 19 Jul 2010, 11:18    Post_subject:  

Thanks for this

I tried this in Quirky 1.2 and it is not working when i added a msn account



It told me that I am missing some SSL stuff


And also I cannot see the Pidgin icon on the taskbar, it is displayed as an X


Regards

NOTE: Works well in Dpup
Back to top
View user's profile Send_private_message 
dejan555


Joined: 30 Nov 2008
Posts: 2648
Location: Montenegro

PostPosted: Mon 19 Jul 2010, 11:25    Post_subject:  

Thanks chrismt and Xrter also reported about missing icon but I have no idea what causes this, since it works ok in dpup and pixmap folders should have been installed in same place.
Not sure about ssl, can you paste exact error?
Maybe it's different libssl version, if so you could make a symlink.
Check if you have it present in /usr/lib

ls /usr/lib | grep ssl

then if pidgin looks for different version just make a symlink to existing one.

_________________


Back to top
View user's profile Send_private_message Visit_website MSNM 
chrismt


Joined: 21 Apr 2010
Posts: 255

PostPosted: Tue 20 Jul 2010, 11:03    Post_subject:  

This is what I see

SSL support is needed for MSN. Please install a supported SSL library.

I uninstalled Pidgin 2.7 and installed 2.6 with spellchecker and installed Pidgin with 2.7 over 2.6

And it works

Now it is working

But when I installed your package without 2.6 already installed this don't work

Regards
Back to top
View user's profile Send_private_message 
e123e123e123

Joined: 27 Jul 2010
Posts: 2

PostPosted: Tue 27 Jul 2010, 10:33    Post_subject:  

when i run , get below error , pls help :

pidgin: error while loading shared libraries: libgstreamer-0.10.so.0: cannot open shared object file: No such file or directory
Back to top
View user's profile Send_private_message 
GustavoYz


Joined: 07 Jul 2010
Posts: 896
Location: .ar

PostPosted: Thu 16 Sep 2010, 02:23    Post_subject:    

Thanks Dejan for your work... I'm enjoying Pidgin! Cool
_________________

Back to top
View user's profile Send_private_message 
eddie_konczal


Joined: 12 Jul 2007
Posts: 22
Location: New Jersey, USA

PostPosted: Wed 10 Nov 2010, 09:51    Post_subject: Pidgin 2.7.1 doesn't do anything
Sub_title: Pidgin 2.7.1 doesn't do anything
 

I installed this build of Pidgin on a PuppyLinux 4.3 system. (Pidgin 2.6.6 had been installed previously).

I now have two Pidgin shortcuts, one in Internet and one in network. Neither does anything when I click on them.

If I go to /usr/bin/ and launch pidgin from the command line I get this error:

/usr/bin/pidgin: error while loading shared libraries: libdbus-glib-1.so.2: cannot open shared object file: No such file or directory

_________________
--
http://www.eddiekonczal.com/
-----------------------------------------------
"The dog has the soul of a philosopher." - Plato
Back to top
View user's profile Send_private_message 
dejan555


Joined: 30 Nov 2008
Posts: 2648
Location: Montenegro

PostPosted: Wed 10 Nov 2010, 10:14    Post_subject:  

For puppy 4.x series try this one compiled on 4.1:

pidgin-2.7.2-i486-410.pet

_________________


Back to top
View user's profile Send_private_message Visit_website MSNM 
eddie_konczal


Joined: 12 Jul 2007
Posts: 22
Location: New Jersey, USA

PostPosted: Fri 12 Nov 2010, 12:07    Post_subject:  it worked!
Sub_title: it worked!
 

it works! Thanks!
_________________
--
http://www.eddiekonczal.com/
-----------------------------------------------
"The dog has the soul of a philosopher." - Plato
Back to top
View user's profile Send_private_message 
Display_posts:   Sort by:   
Page 1 of 1 Posts_count  
Post_new_topic   Reply_to_topic View_previous_topic :: View_next_topic
 Forum index » Advanced Topics » Additional Software (PETs, n' stuff) » Browsers and Internet
Jump to:  

Rules_post_cannot
Rules_reply_cannot
Rules_edit_cannot
Rules_delete_cannot
Rules_vote_cannot
You cannot attach files in this forum
You can download files in this forum


Powered by phpBB © 2001, 2005 phpBB Group
[ Time: 0.0656s ][ Queries: 13 (0.0043s) ][ GZIP on ]